package com.ruoyi.basicData.domain;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 商品详情对象 t_goods
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class TGoods extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long fId;

    /**
     * 存储id 显示名称 下拉选择类别，一个商品名称对应一个类别,对应t_goodtype的f_id
     */
    @Excel(name = "存储id 显示名称 下拉选择类别，一个商品名称对应一个类别,对应t_goodtype的f_id")
    private Long fTypeid;

    /**
     * 编号
     */
    @Excel(name = "编号")
    private String fNo;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String fName;

    /**
     * 英文名称
     */
    @Excel(name = "英文名称")
    private String fEnam;

    /**
     * 规格
     */
    @Excel(name = "规格")
    private String fSpecs;

    /**
     * 包装规格,20、25、35、50、850,kg
     */
    @Excel(name = "包装规格,20、25、35、50、850,kg")
    private String fPackagespecs;

    /**
     * 颜色
     */
    @Excel(name = "颜色")
    private String fColor;

    /**
     * 海关编码
     */
    @Excel(name = "海关编码")
    private String fHscode;

    /**
     * 包装类型，存储id 显示名称 下拉选择类型，一个商品名称对应一个包装类型，对应t_package的f_id
     */
    @Excel(name = "包装类型，存储id 显示名称 下拉选择类型，一个商品名称对应一个包装类型，对应t_package的f_id")
    private Long fPackageid;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String fStatus;

    /**
     * 删除状态
     */
    @TableLogic
    private String delFlag;

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public Long getfId() {
        return fId;
    }

    public void setfTypeid(Long fTypeid) {
        this.fTypeid = fTypeid;
    }

    public Long getfTypeid() {
        return fTypeid;
    }

    public void setfNo(String fNo) {
        this.fNo = fNo;
    }

    public String getfNo() {
        return fNo;
    }

    public void setfName(String fName) {
        this.fName = fName;
    }

    public String getfName() {
        return fName;
    }

    public void setfEnam(String fEnam) {
        this.fEnam = fEnam;
    }

    public String getfEnam() {
        return fEnam;
    }

    public void setfSpecs(String fSpecs) {
        this.fSpecs = fSpecs;
    }

    public String getfSpecs() {
        return fSpecs;
    }

    public void setfPackagespecs(String fPackagespecs) {
        this.fPackagespecs = fPackagespecs;
    }

    public String getfPackagespecs() {
        return fPackagespecs;
    }

    public void setfColor(String fColor) {
        this.fColor = fColor;
    }

    public String getfColor() {
        return fColor;
    }

    public void setfHscode(String fHscode) {
        this.fHscode = fHscode;
    }

    public String getfHscode() {
        return fHscode;
    }

    public void setfPackageid(Long fPackageid) {
        this.fPackageid = fPackageid;
    }

    public Long getfPackageid() {
        return fPackageid;
    }

    public void setfStatus(String fStatus) {
        this.fStatus = fStatus;
    }

    public String getfStatus() {
        return fStatus;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("fId", getfId())
                .append("fTypeid", getfTypeid())
                .append("fNo", getfNo())
                .append("fName", getfName())
                .append("fEnam", getfEnam())
                .append("fSpecs", getfSpecs())
                .append("fPackagespecs", getfPackagespecs())
                .append("fColor", getfColor())
                .append("fHscode", getfHscode())
                .append("fPackageid", getfPackageid())
                .append("fStatus", getfStatus())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
